#!/bin/sh

#run this file as root user

if [ "$#" -ne 2 ]; then
    echo "Usage: $0 sensorUID radioPassword" >&2
    exit 1
fi

#remove file if it exists
rm -f /var/canique-gateway/$1.status || true

set -e

runuser -u cnq -- /usr/bin/canique-setup-sensor-encryption --nodeUID $1 --encryptionKey $2

systemctl restart canique-radio-bridge.service
